Bug 204492 - graphics/giflib: Update to 5.1.1
Summary: graphics/giflib: Update to 5.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks: 204497
  Show dependency treegraph
 
Reported: 2015-11-12 08:26 UTC by Yuri Victorovich
Modified: 2015-12-03 20:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments
patch (1.55 KB, patch)
2015-11-12 08:26 UTC, Yuri Victorovich
no flags Details | Diff
poudriere log (20.39 KB, text/x-log)
2015-11-12 08:27 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-12 08:26:20 UTC
Created attachment 163037 [details]
patch

Trivial update.
gif2raw is removed as per notice in NEWS file.
Comment 1 Yuri Victorovich freebsd_committer 2015-11-12 08:27:18 UTC
Created attachment 163038 [details]
poudriere log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-12 08:34:10 UTC
@Yuri, why was this assigned to portmgr?
Comment 3 Antoine Brodin freebsd_committer 2015-11-12 08:36:08 UTC
(In reply to Kubilay Kocak from comment #2)

portmgr maintains this port
Comment 4 Antoine Brodin freebsd_committer 2015-11-12 08:40:10 UTC
The update is totally not trivial,  API and ABI changes between version 5.0 and 5.1

So this needs an exp-run and lots of individual ports fixes.
Comment 5 Yuri Victorovich freebsd_committer 2015-11-12 08:44:58 UTC
Update of the port itself is trivial.

Depending ports should have been fixed for API/ABI changes by now because 5.1.1 has been out for a while. Arch has it at least from 2015-02-20. Versions might need to also be updated.
Comment 6 Antoine Brodin freebsd_committer 2015-11-12 08:52:45 UTC
(In reply to yuri from comment #5)

Around 20 ports have local patches to build with version 5.0,  they only built with version 4.2 out of the box.

So I don't believe in "Depending ports should have been fixed for API/ABI changes by now"
Comment 7 commit-hook freebsd_committer 2015-11-12 12:55:06 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 12:54:30 UTC 2015
New revision: 401341
URL: https://svnweb.freebsd.org/changeset/ports/401341

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/imlib2/files/patch-src_modules_loaders_loader__gif.c
Comment 8 commit-hook freebsd_committer 2015-11-12 15:01:16 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:01:07 UTC 2015
New revision: 401355
URL: https://svnweb.freebsd.org/changeset/ports/401355

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/textproc/libextractor/files/patch-src_plugins_gif__extractor.c
Comment 9 commit-hook freebsd_committer 2015-11-12 15:21:19 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:21:10 UTC 2015
New revision: 401357
URL: https://svnweb.freebsd.org/changeset/ports/401357

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/multimedia/mplayer2/files/patch-libmpdemux-demux_gif.c
Comment 10 commit-hook freebsd_committer 2015-11-12 15:29:21 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:28:50 UTC 2015
New revision: 401358
URL: https://svnweb.freebsd.org/changeset/ports/401358

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/misc/magicpoint/files/patch-gif.c
Comment 11 commit-hook freebsd_committer 2015-11-12 15:38:22 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:37:31 UTC 2015
New revision: 401359
URL: https://svnweb.freebsd.org/changeset/ports/401359

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/metapixel/files/patch-rwimg_rwgif.c
Comment 12 commit-hook freebsd_committer 2015-11-12 15:42:24 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:41:21 UTC 2015
New revision: 401360
URL: https://svnweb.freebsd.org/changeset/ports/401360

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/mtpaint/files/patch-src_png.c
Comment 13 commit-hook freebsd_committer 2015-11-12 15:48:26 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 15:47:56 UTC 2015
New revision: 401361
URL: https://svnweb.freebsd.org/changeset/ports/401361

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/swftools/files/patch-gif2swf.c
Comment 14 commit-hook freebsd_committer 2015-11-12 16:08:28 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 16:07:45 UTC 2015
New revision: 401362
URL: https://svnweb.freebsd.org/changeset/ports/401362

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/emulators/vice/files/patch-src_gfxoutputdrv_gifdrv.c
Comment 15 commit-hook freebsd_committer 2015-11-12 18:36:40 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 18:35:55 UTC 2015
New revision: 401387
URL: https://svnweb.freebsd.org/changeset/ports/401387

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/exact-image/files/patch-codecs__gif.cc
  head/graphics/mapserver/files/
  head/graphics/mapserver/files/patch-mapimageio.c
  head/graphics/ocaml-images/files/patch-src_gifread.c
  head/graphics/ocaml-images/files/patch-src_gifwrite.c
  head/graphics/osg/files/patch-src_osgPlugins_gif_ReaderWriterGIF.cpp
  head/graphics/php5-swfed/files/patch-swf__gif.c
  head/graphics/simpleviewer/files/patch-src_formats_formatgif.cpp
  head/japanese/ming/files/patch-util_gif2dbl.c
  head/mail/spamprobe/files/patch-src_parser_GifParser.cc
  head/net-im/kmess-kde4/Makefile
  head/net-im/kmess-kde4/files/patch-contrib_isf-qt_src_isfqt.cpp
  head/net-mgmt/driftnet/files/patch-gif.c
  head/textproc/gladtex/files/patch-eqn2img.c
  head/x11-toolkits/libgdiplus/files/patch-src_gifcodec.c
Comment 16 commit-hook freebsd_committer 2015-11-12 18:40:41 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 18:40:36 UTC 2015
New revision: 401388
URL: https://svnweb.freebsd.org/changeset/ports/401388

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/astro/xplanet/files/patch-src_libimage_gif.c
Comment 17 commit-hook freebsd_committer 2015-11-12 19:36:47 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov 12 19:36:38 UTC 2015
New revision: 401392
URL: https://svnweb.freebsd.org/changeset/ports/401392

Log:
  Allow building with giflib 5.1

  PR:		204492

Changes:
  head/graphics/gnash/files/patch-libbase_GnashImageGif.cpp
Comment 18 Antoine Brodin freebsd_committer 2015-11-15 11:50:44 UTC
Take for exp-run
Comment 19 Antoine Brodin freebsd_committer 2015-11-16 11:23:24 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=102i386-default-foo&build=2015-11-15_12h02m05s

0 new failure

Ports needing a bump:

astro/xplanet
devel/efl
editors/emacs
editors/emacs-devel
emulators/vice
games/gracer
graphics/appleseed
graphics/exact-image
graphics/gdal
graphics/imlib2
graphics/leptonica
graphics/librasterlite2
graphics/mapserver
graphics/metapixel
graphics/ming
graphics/mtpaint
graphics/ocaml-images
graphics/openimageio
graphics/osg
graphics/osg-devel
graphics/p5-Imager
graphics/php5-swfed
graphics/py-ming
graphics/simpleviewer
graphics/swftools
graphics/sxiv
graphics/webp
japanese/ming
java/openjdk8
java/openjdk8-jre
mail/spamprobe
misc/magicpoint
multimedia/mencoder
multimedia/mplayer
multimedia/mplayer2
net-im/kmess-kde4
net-mgmt/driftnet
print/fontforge
sysutils/tracker
textproc/gladtex
textproc/libextractor
x11-toolkits/gnustep-gui
x11-toolkits/libgdiplus
x11-toolkits/p5-Prima
x11-wm/libwraster
x11-wm/windowmaker
x11/kdelibs4
Comment 20 Dmitry Marakasov freebsd_committer 2015-12-02 19:29:14 UTC
Can this be committed now?
Comment 21 commit-hook freebsd_committer 2015-12-03 20:01:14 UTC
A commit references this bug:

Author: antoine
Date: Thu Dec  3 20:01:09 UTC 2015
New revision: 402898
URL: https://svnweb.freebsd.org/changeset/ports/402898

Log:
  Update giflib to 5.1.1

  PR:		204492

Changes:
  head/astro/xplanet/Makefile
  head/devel/efl/Makefile
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/emulators/vice/Makefile
  head/games/gracer/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/exact-image/Makefile
  head/graphics/gdal/Makefile
  head/graphics/giflib/Makefile
  head/graphics/giflib/distinfo
  head/graphics/giflib/pkg-plist
  head/graphics/imlib2/Makefile
  head/graphics/leptonica/Makefile
  head/graphics/librasterlite2/Makefile
  head/graphics/mapserver/Makefile
  head/graphics/metapixel/Makefile
  head/graphics/ming/Makefile
  head/graphics/mtpaint/Makefile
  head/graphics/ocaml-images/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg-devel/Makefile
  head/graphics/p5-Imager/Makefile
  head/graphics/php5-swfed/Makefile
  head/graphics/py-ming/Makefile
  head/graphics/simpleviewer/Makefile
  head/graphics/swftools/Makefile
  head/graphics/sxiv/Makefile
  head/graphics/webp/Makefile
  head/japanese/ming/Makefile
  head/java/openjdk8/Makefile
  head/mail/spamprobe/Makefile
  head/misc/magicpoint/Makefile
  head/multimedia/mencoder/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer2/Makefile
  head/net-im/kmess-kde4/Makefile
  head/net-mgmt/driftnet/Makefile
  head/print/fontforge/Makefile
  head/sysutils/tracker/Makefile
  head/textproc/gladtex/Makefile
  head/textproc/libextractor/Makefile
  head/x11/kdelibs4/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
  head/x11-toolkits/libgdiplus/Makefile
  head/x11-toolkits/p5-Prima/Makefile
  head/x11-wm/libwraster/Makefile
  head/x11-wm/windowmaker/Makefile